Troubleshooting non-compliant devices

In some cases, the RAR component of the Absolute agent is unable to repair an application when it isn't functioning correctly, or reinstall it when it's missing. When this occurs, the device continues to be reported as Not Compliant in Application Persistence reports. You will need to take remedial actions to resolve the problem.

To determine your best course of action, add the Status Details column to an Application Persistence report to view more information about the problem, such as:

Status Detail text string

Resolution

error message: Cannot install the application as reinstall option is not enabled

To enable Application Persistence to install the application, do one of the following:

  • If the Report, repair and reinstall option is available in the application's policy configuration, enable the option.
  • If the Report, repair and reinstall option isn't available in the policy configuration, upgrade to Absolute Resilience. For more information, contact Absolute Sales.

error message: Cannot upgrade. The current version is not in the eligible upgrade version list or the current version is newer than expected version.

One of the following scenarios applies:

  • Application Persistence can't reinstall the application because the version detected on the device is not eligible for upgrade to the expected version. That is, the upgrade path is not supported by either the application or Application Persistence.

    If you want the device to show in reports as Compliant, gain access to the device to uninstall the earlier version and install the expected version.

  • A higher version of the application is installed on the device than the expected version. Application Persistence can't reinstall the application because agent downgrades are not supported.

    If you want the device to show in reports as Compliant, do one of the following:

    • If the Report higher versions as Compliant option is available and is not selected in the application's policy configuration, select the option.
    • In the application's policy configuration, set the expected version to the higher version by editing the value in the Application Version field.

error message: The application is uninstalled in order to reinstall to fix problems. Reboot machine to finish the reinstall.

-or-

error message: The application is installed but a reboot is required to complete the installation. Reboot machine to finish the install.

Instruct the device user to restart the device to finish installing the application.

[other][], status: Non-compliant, reason: policyVersion(expected/actual):

This string shows when the following conditions apply:

  • Automatic agent updates are disabled for your account.
  • The agent version installed on the device is an earlier version than the current version.
  • The installed agent version doesn't support the policy configuration set in the Absolute console.

To resolve this issue, assign a higher agent version to the device's policy group.